<?php
	/*
	MGB 0.6.x - OpenSource PHP and MySql Guestbook
	Copyright (C) 2004 - 2011 Juergen Grueneisl - http://www.m-gb.org/

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
	*/

	// ====================== //
	// settings.inc.php - 1.0 //
	// ====================== //
	//
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ //

	// make sure nobody has direct acces to this script
	if (!defined('ADMINISTRATION'))
		{
		include ("error.html");
		die();
		}
	else
		{
		require ("../includes/functions.inc.php");

		if(!isset($_GET['action'])) { $_GET['action'] = "settings"; }
		if(check_rights($_GET['action'], $_SESSION['ID']))
			{
			if (isset($_POST['sent_settings']) AND $_POST['sent_settings'] == 1)
				{
				if (!empty($_POST['template_path']) AND !empty($_POST['language_path']) AND !empty($_POST['entries_per_page']) AND !empty($_POST['admin_name']) AND !empty($_POST['admin_email']) AND !empty($_POST['admin_gbemail']) AND ($_POST['session_timeout'] >= 60))
					{
					// delete html code, php code and white spaces
					$_POST['title'] = cleanstr($_POST['title']);
					$_POST['h_author'] = cleanstr($_POST['h_author']);
					$_POST['h_domain'] = cleanstr($_POST['h_domain']);
					$_POST['gb_path'] = cleanstr($_POST['gb_path']);
					$_POST['h_keywords'] = cleanstr($_POST['h_keywords']);
					$_POST['h_description'] = cleanstr($_POST['h_description']);
					$_POST['admin_name'] = cleanstr($_POST['admin_name']);
					$_POST['admin_email'] = cleanstr($_POST['admin_email']);
					$_POST['admin_gbemail'] = cleanstr($_POST['admin_gbemail']);
					$_POST['sendmail_admin_text'] = cleanstr($_POST['sendmail_admin_text']);
					$_POST['sendmail_user_text'] = cleanstr($_POST['sendmail_user_text']);
					$_POST['sendmail_user_notification_text'] = cleanstr($_POST['sendmail_user_notification_text']);
					$_POST['sendmail_comment_text'] = cleanstr($_POST['sendmail_comment_text']);
					$_POST['sendmail_contactmail_text'] = cleanstr($_POST['sendmail_contactmail_text']);
					$_POST['akismet_api'] = cleanstr($_POST['akismet_api']);
					$_POST['time_lock_value'] = cleanstr($_POST['time_lock_value']);
					$_POST['time_lock_maxtime'] = cleanstr($_POST['time_lock_maxtime']);
					$_POST['session_timeout'] = cleanstr($_POST['session_timeout']);
					$_POST['entries_per_page'] = cleanstr($_POST['entries_per_page']);
					$_POST['entries_order'] = cleanstr($_POST['entries_order']);
					$_POST['wordwrap'] = cleanstr($_POST['wordwrap']);
					$_POST['gravatar_show'] = cleanstr($_POST['gravatar_show']);
					$_POST['gravatar_rating'] = cleanstr($_POST['gravatar_rating']);
					$_POST['badwords'] = cleanstr($_POST['badwords']);
					
					$_POST['sendmail_admin_text'] = nl2br($_POST['sendmail_admin_text']);
					$_POST['sendmail_user_text'] = nl2br($_POST['sendmail_user_text']);
					$_POST['sendmail_user_notification_text'] = nl2br($_POST['sendmail_user_notification_text']);
					$_POST['sendmail_comment_text'] = nl2br($_POST['sendmail_comment_text']);
					$_POST['sendmail_contactmail_text'] = nl2br($_POST['sendmail_contactmail_text']);

					$t1 = chr(10);
					$t2 = chr(13);
					$_POST['sendmail_admin_text'] = str_replace($t1,'', $_POST['sendmail_admin_text']);
					$_POST['sendmail_user_text'] = str_replace($t1,'', $_POST['sendmail_user_text']);
					$_POST['sendmail_user_notification_text'] = str_replace($t1,'', $_POST['sendmail_user_notification_text']);
					$_POST['sendmail_comment_text'] = str_replace($t1,'', $_POST['sendmail_comment_text']);
					$_POST['sendmail_contactmail_text'] = str_replace($t1,'', $_POST['sendmail_contactmail_text']);
					$_POST['sendmail_admin_text'] = str_replace($t2,'', $_POST['sendmail_admin_text']);
					$_POST['sendmail_user_text'] = str_replace($t2,'', $_POST['sendmail_user_text']);
					$_POST['sendmail_user_notification_text'] = str_replace($t2,'', $_POST['sendmail_user_notification_text']);
					$_POST['sendmail_comment_text'] = str_replace($t2,'', $_POST['sendmail_comment_text']);
					$_POST['sendmail_contactmail_text'] = str_replace($t2,'', $_POST['sendmail_contactmail_text']);

					if ($_POST['h_domain'] == NULL) { $_POST['h_domain'] = $_SERVER["HTTP_HOST"]; }
					if ($_POST['gb_path'] == NULL)
						{
						$_POST['gb_path'] = $_SERVER["SCRIPT_NAME"];
						$_POST['gb_path'] = preg_replace("/admin\/admin.php/", "", $_POST['gb_path']);
						}

					// load the default style and iconset for template if changed
					if ($_POST['template_path'] != $settings['template_path'])
						{
						include ("../templates/".$_POST['template_path']."/settings.php");
						$_POST['template_style_path'] = $template['default_style'];
						$_POST['iconset_path'] = $template['default_iconset'];
						}

					// load text for emails if another language is selected
					if ($_POST['language_path'] != $settings['language_path'])
						{
						include ("../language/".$_POST['language_path']."/lang_admin.php");
						$_POST['sendmail_admin_text'] = $lang['sendmail_admin_text'];
						$_POST['sendmail_user_text'] = $lang['sendmail_user_text'];
						$_POST['sendmail_user_notification_text'] = $lang['sendmail_user_notification_text'];
						$_POST['sendmail_comment_text'] = $lang['sendmail_comment_text'];
						$_POST['sendmail_contactmail_text'] = $lang['sendmail_contactmail_text'];
						}

					// save data to database
					$sql = "UPDATE `".$db['prefix']."settings` SET
									`title` = '".$_POST['title']."',
									`h_author` = '".$_POST['h_author']."',
									`h_domain` = '".$_POST['h_domain']."',
									`gb_path` = '".$_POST['gb_path']."',
									`h_keywords` = '".$_POST['h_keywords']."',
									`h_description` = '".$_POST['h_description']."',
									`admin_name` = '".$_POST['admin_name']."',
									`admin_email` = '".$_POST['admin_email']."',
									`admin_gbemail` = '".$_POST['admin_gbemail']."',
									`sendmail_admin` = '".$_POST['sendmail_admin']."',
									`sendmail_admin_text` = '".$_POST['sendmail_admin_text']."',
									`sendmail_user` = '".$_POST['sendmail_user']."',
									`sendmail_user_text` = '".$_POST['sendmail_user_text']."',
									`sendmail_user_notification_text` = '".$_POST['sendmail_user_notification_text']."',
									`sendmail_comment_text` = '".$_POST['sendmail_comment_text']."',
									`sendmail_contactmail_text` = '".$_POST['sendmail_contactmail_text']."',
									`template_path` = '".$_POST['template_path']."',
									`template_style_path` = '".$_POST['template_style_path']."',
									`iconset_path` = '".$_POST['iconset_path']."',
									`language_path` = '".$_POST['language_path']."',
									`badwords` = '".$_POST['badwords']."',
									`bbcode` = '".$_POST['bbcode']."',
									`smileys` = '".$_POST['smileys']."',
									`captcha` = '".$_POST['captcha']."',
									`captcha_method` = '".$_POST['captcha_method']."',
									`akismet_plugin` = '".$_POST['akismet_plugin']."',
									`akismet_api` = '".$_POST['akismet_api']."',
									`akismet_mark_as_spam` = '".$_POST['akismet_mark_as_spam']."',
									`time_lock` = '".$_POST['time_lock']."',
									`time_lock_value` = '".$_POST['time_lock_value']."',
									`time_lock_maxtime` = '".$_POST['time_lock_maxtime']."',
									`user_notification` = '".$_POST['user_notification']."',
									`user_show_email` = '".$_POST['user_show_email']."',
									`session_timeout` = '".$_POST['session_timeout']."',
									`moderated` = '".$_POST['moderated']."',
									`entries_per_page` = '".$_POST['entries_per_page']."',
									`entries_order` = '".$_POST['entries_order']."',
									`spam_protection` = '".$_POST['spam_protection']."',
									`ipblocker` = '".$_POST['ipblocker']."',
									`wordwrap` = '".$_POST['wordwrap']."',
									`dateform` = '".$_POST['dateform']."',
									`gravatar_show` = '".$_POST['gravatar_show']."',
									`gravatar_rating` = '".$_POST['gravatar_rating']."'";

					$link = @mysql_connect($db['hostname'], $db['username'], $db['password']) or die ("(settings.inc.php) Error, line 161: ".mysql_error());
					@mysql_select_db($db['dbname'], $link) or die ("(settings.inc.php) Error, line 162: ".mysql_error());
					if ( @mysql_query($sql, $link) or die ("(settings.inc.php) Error, line 163: ".mysql_error()) )
						{
						$saved_settings_successfull = 1;
						}

					require ("../includes/load_settings.inc.php");
					}
				}

			// get names of languages
			$path = "../language/";
			foreach (glob($path."*") as $filename)
				{
				if ($filename != "." && $filename != "..")
						{
						if(is_dir($filename))
							{
							if(!isset($edit_option_language_path)) { $edit_option_language_path = NULL; }
							include ($filename."/settings.php");
							$edit_option_language_path .= "<option ";
							if($filename == $settings['language_path'])
								{
								$edit_option_language_path .= "selected ";
								$active_language_short = $language_short;
								}
							$edit_option_language_path .= "value=\"".$filename."\">".$language."</option>";
							}
						}
				}

			// get names of templates
			$path = "../templates/";
			foreach (glob($path."*") as $filename)
				{
				if ($filename != "." && $filename != "..")
						{
						if(is_dir($filename))
							{
							if(!isset($edit_option_template_path)) { $edit_option_template_path = NULL; }
							$edit_option_template_path .= "<option ";
							$filename = preg_replace("/..\/templates\//", "", $filename);
							if($filename == $settings['template_path'])
								{
								$edit_option_template_path .= "selected ";
								$active_template = $filename;
								}
							include ($path.$filename."/settings.php");
							$filename = preg_replace("/..\/templates\//", "", $filename);
							if(!isset($template['name']))
								{
								$edit_option_template_path .= "value=\"".$filename."\">".$filename."</option>";
								}
							else
								{
								$edit_option_template_path .= "value=\"".$filename."\">".$template['name']."</option>";
								}
							}
						}
				}

			// get names of template styles
			$path = "../templates/".$active_template."/css/";
			foreach (glob($path."*") as $filename)
				{
				if ($filename != "." && $filename != "..")
						{
						if(is_dir($filename))
							{
							if(!isset($edit_option_template_style_path)) { $edit_option_template_style_path = NULL; }
							$edit_option_template_style_path .= "<option ";
							$filename = preg_replace("/..\/templates\/".$active_template."\/css\//", "", $filename);
							if($filename == $settings['template_style_path']) { $edit_option_template_style_path .= "selected "; }
							$edit_option_template_style_path .= "value=\"".$filename."\">".$filename."</option>";
							}
						}
				}

			// get names of iconsets
			$path = "../images/iconsets/";
			foreach (glob($path."*") as $filename)
				{
				if ($filename != "." && $filename != "..")
						{
						if(is_dir($filename))
							{
							if(!isset($edit_option_iconset_path)) { $edit_option_iconset_path = NULL; }
							$edit_option_iconset_path .= "<option ";
							include ($filename."/settings.php");
							$filename = preg_replace("/..\/images\/iconsets\//", "", $filename);
							if($filename == $settings['iconset_path']) { $edit_option_iconset_path .= "selected "; }
							$edit_option_iconset_path .= "value=\"".$filename."\">".$name[$active_language_short]."</option>";
							}
						}
				}

			// load active language
			include ("../language/".$settings['language_path']."/settings.php");  

			// load template
			$page_include = $content_settings;

			// general replacement
			$page_include = preg_replace("/\{URL_SETTINGS\}/", "admin.php?action=settings".$sid, $page_include);
			$page_include = preg_replace("/\{LANG_NO\}/", $lang['no'], $page_include);
			$page_include = preg_replace("/\{LANG_YES\}/", $lang['yes'], $page_include);
			$page_include = preg_replace("/\{LANG_ASC\}/", $lang['asc'], $page_include);
			$page_include = preg_replace("/\{LANG_DESC\}/", $lang['desc'], $page_include);
			$page_include = preg_replace("/\{LANG_SAVE\}/", $lang['save'], $page_include);
			$page_include = preg_replace("/\{LANG_CAPTCHA_METHOD_CODE\}/", $lang['captcha_method_code'], $page_include);
			$page_include = preg_replace("/\{LANG_CAPTCHA_METHOD_MATH\}/", $lang['captcha_method_math'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_CAPTION_GENERAL\}/", $lang['edit_caption_general'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_CAPTION_LOOK\}/", $lang['edit_caption_look'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_CAPTION_GRAVATARS\}/", $lang['edit_caption_gravatars'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_CAPTION_SECURITY\}/", $lang['edit_caption_security'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_CAPTION_EMAIL\}/", $lang['edit_caption_email'], $page_include);

			// replace short descriptions
			$page_include = preg_replace("/\{LANG_EDIT_TITLE\}/", $lang['edit_title'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_H_AUTHOR\}/", $lang['edit_h_author'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_H_DOMAIN\}/", $lang['edit_h_domain'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_GB_PATH\}/", $lang['edit_gb_path'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_H_KEYWORDS\}/", $lang['edit_h_keywords'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_H_DESCRIPTION\}/", $lang['edit_h_description'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_ADMIN_NAME\}/", $lang['edit_admin_name'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_ADMIN_EMAIL\}/", $lang['edit_admin_email'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_ADMIN_GBEMAIL\}/", $lang['edit_admin_gbemail'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_SENDMAIL_ADMIN\}/", $lang['edit_sendmail_admin'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_SENDMAIL_ADMIN_TEXT\}/", $lang['edit_sendmail_admin_text'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_SENDMAIL_USER\}/", $lang['edit_sendmail_user'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_SENDMAIL_USER_TEXT\}/", $lang['edit_sendmail_user_text'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_SENDMAIL_USER_NOTIFICATION_TEXT\}/", $lang['edit_sendmail_user_notification_text'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_SENDMAIL_COMMENT_TEXT\}/", $lang['edit_sendmail_comment_text'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_SENDMAIL_CONTACTMAIL_TEXT\}/", $lang['edit_sendmail_contactmail_text'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_TEMPLATE_PATH\}/", $lang['edit_template_path'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_TEMPLATE_STYLE_PATH\}/", $lang['edit_template_style_path'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_ICONSET_PATH\}/", $lang['edit_iconset_path'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_LANGUAGE_PATH\}/", $lang['edit_language_path'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_BADWORDS\}/", $lang['edit_badwords'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_BBCODE\}/", $lang['edit_bbcode'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_SMILEYS\}/", $lang['edit_smileys'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_CAPTCHA\}/", $lang['edit_captcha'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_CAPTCHA_METHOD\}/", $lang['edit_captcha_method'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_AKISMET_PLUGIN\}/", $lang['edit_akismet_plugin'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_AKISMET_API\}/", $lang['edit_akismet_api'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_AKISMET_MARK_AS_SPAM\}/", $lang['edit_akismet_mark_as_spam'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_TIME_LOCK\}/", $lang['edit_time_lock'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_TIME_LOCK_VALUE\}/", $lang['edit_time_lock_value'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_TIME_LOCK_MAXTIME\}/", $lang['edit_time_lock_maxtime'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_USER_NOTIFICATION\}/", $lang['edit_user_notification'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_USER_SHOW_EMAIL\}/", $lang['edit_user_show_email'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_SESSION_TIMEOUT\}/", $lang['edit_session_timeout'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_MODERATED\}/", $lang['edit_moderated'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_ENTRIES_PER_PAGE\}/", $lang['edit_entries_per_page'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_ENTRIES_ORDER\}/", $lang['edit_entries_order'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_SPAM_PROTECTION\}/", $lang['edit_spam_protection'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_IPBLOCKER\}/", $lang['edit_ipblocker'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_WORDWRAP\}/", $lang['edit_wordwrap'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_DATEFORM\}/", $lang['edit_dateform'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_GRAVATAR_SHOW\}/", $lang['edit_gravatar_show'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_GRAVATAR_RATING\}/", $lang['edit_gravatar_rating'], $page_include);

			// replace long descriptions
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_TITLE\}/", $lang['edit_expl_title'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_H_AUTHOR\}/", $lang['edit_expl_h_author'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_H_DOMAIN\}/", $lang['edit_expl_h_domain'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_GB_PATH\}/", $lang['edit_expl_gb_path'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_H_KEYWORDS\}/", $lang['edit_expl_h_keywords'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_H_DESCRIPTION\}/", $lang['edit_expl_h_description'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_ADMIN_NAME\}/", $lang['edit_expl_admin_name'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_ADMIN_EMAIL\}/", $lang['edit_expl_admin_email'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_ADMIN_GBEMAIL\}/", $lang['edit_expl_admin_gbemail'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_SENDMAIL_ADMIN\}/", $lang['edit_expl_sendmail_admin'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_SENDMAIL_ADMIN_TEXT\}/", $lang['edit_expl_sendmail_admin_text'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_SENDMAIL_USER\}/", $lang['edit_expl_sendmail_user'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_SENDMAIL_USER_TEXT\}/", $lang['edit_expl_sendmail_user_text'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_SENDMAIL_USER_NOTIFICATION_TEXT\}/", $lang['edit_expl_sendmail_user_notification_text'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_SENDMAIL_COMMENT_TEXT\}/", $lang['edit_expl_sendmail_comment_text'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_SENDMAIL_CONTACTMAIL_TEXT\}/", $lang['edit_expl_sendmail_contactmail_text'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_TEMPLATE_PATH\}/", $lang['edit_expl_template_path'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_TEMPLATE_STYLE_PATH\}/", $lang['edit_expl_template_style_path'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_ICONSET_PATH\}/", $lang['edit_expl_iconset_path'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_LANGUAGE_PATH\}/", $lang['edit_expl_language_path'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_BADWORDS\}/", $lang['edit_expl_badwords'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_BBCODE\}/", $lang['edit_expl_bbcode'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_SMILEYS\}/", $lang['edit_expl_smileys'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_CAPTCHA\}/", $lang['edit_expl_captcha'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_CAPTCHA_METHOD\}/", $lang['edit_expl_captcha_method'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_AKISMET_PLUGIN\}/", $lang['edit_expl_akismet_plugin'], $page_include);
			if (file_exists("../plugins/akismet/akismet.class.php"))
				{
				$page_include = preg_replace("/\{LANG_EDIT_EXPL_AKISMET_CHECK\}/", $lang['edit_expl_akismet_check_ok'], $page_include);
				}
			else
				{
				$page_include = preg_replace("/\{LANG_EDIT_EXPL_AKISMET_CHECK\}/", $lang['edit_expl_akismet_check_fail'], $page_include);
				}
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_AKISMET_API\}/", $lang['edit_expl_akismet_api'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_AKISMET_MARK_AS_SPAM\}/", $lang['edit_expl_akismet_mark_as_spam'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_TIME_LOCK\}/", $lang['edit_expl_time_lock'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_TIME_LOCK_VALUE\}/", $lang['edit_expl_time_lock_value'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_TIME_LOCK_MAXTIME\}/", $lang['edit_expl_time_lock_maxtime'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_USER_NOTIFICATION\}/", $lang['edit_expl_user_notification'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_USER_SHOW_EMAIL\}/", $lang['edit_expl_user_show_email'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_SESSION_TIMEOUT\}/", $lang['edit_expl_session_timeout'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_MODERATED\}/", $lang['edit_expl_moderated'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_ENTRIES_PER_PAGE\}/", $lang['edit_expl_entries_per_page'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_ENTRIES_ORDER\}/", $lang['edit_expl_entries_order'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_SPAM_PROTECTION\}/", $lang['edit_expl_spam_protection'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_IPBLOCKER\}/", $lang['edit_expl_ipblocker'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_WORDWRAP\}/", $lang['edit_expl_wordwrap'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_DATEFORM\}/", $lang['edit_expl_dateform'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_GRAVATAR_SHOW\}/", $lang['edit_expl_gravatar_show'], $page_include);
			$page_include = preg_replace("/\{LANG_EDIT_EXPL_GRAVATAR_RATING\}/", $lang['edit_expl_gravatar_rating'], $page_include);

			if ($settings['sendmail_admin'] == 0) { $selected_sendmail_admin_0 = " selected"; $selected_sendmail_admin_1 = NULL; } else { $selected_sendmail_admin_0 = NULL; $selected_sendmail_admin_1 = " selected"; }
			if ($settings['sendmail_user'] == 0) { $selected_sendmail_user_0 = " selected"; $selected_sendmail_user_1 = NULL; } else { $selected_sendmail_user_0 = NULL; $selected_sendmail_user_1 = " selected"; }
			if ($settings['bbcode'] == 0) { $selected_bbcode_0 = " selected"; $selected_bbcode_1 = NULL; } else { $selected_bbcode_0 = NULL; $selected_bbcode_1 = " selected"; }
			if ($settings['smileys'] == 0) { $selected_smileys_0 = " selected"; $selected_smileys_1 = NULL; } else { $selected_smileys_0 = NULL; $selected_smileys_1 = " selected"; }
			if ($settings['captcha'] == 0) { $selected_captcha_0 = " selected"; $selected_captcha_1 = NULL; } else { $selected_captcha_0 = NULL; $selected_captcha_1 = " selected"; }
			if ($settings['captcha_method'] == 0) { $selected_captcha_method_0 = " selected"; $selected_captcha_method_1 = NULL; } else { $selected_captcha_method_0 = NULL; $selected_captcha_method_1 = " selected"; }
			if ($settings['akismet_plugin'] == 0) { $selected_akismet_plugin_0 = " selected"; $selected_akismet_plugin_1 = NULL; } else { $selected_akismet_plugin_0 = NULL; $selected_akismet_plugin_1 = " selected"; }
			if ($settings['akismet_mark_as_spam'] == 0) { $selected_akismet_mark_as_spam_0 = " selected"; $selected_akismet_mark_as_spam_1 = NULL; } else { $selected_akismet_mark_as_spam_0 = NULL; $selected_akismet_mark_as_spam_1 = " selected"; }
			if ($settings['time_lock'] == 0) { $selected_time_lock_0 = " selected"; $selected_time_lock_1 = NULL; } else { $selected_time_lock_0 = NULL; $selected_time_lock_1 = " selected"; }
			if ($settings['user_notification'] == 0) { $selected_user_notification_0 = " selected"; $selected_user_notification_1 = NULL; } else { $selected_user_notification_0 = NULL; $selected_user_notification_1 = " selected"; }
			if ($settings['user_show_email'] == 0) { $selected_user_show_email_0 = " selected"; $selected_user_show_email_1 = NULL; } else { $selected_user_show_email_0 = NULL; $selected_user_show_email_1 = " selected"; }
			if ($settings['entries_order'] == 0) { $selected_entries_order_0 = " selected"; $selected_entries_order_1 = NULL; } else { $selected_entries_order_0 = NULL; $selected_entries_order_1 = " selected"; }
			if ($settings['gravatar_show'] == 0) { $selected_gravatar_show_0 = " selected"; $selected_gravatar_show_1 = NULL; } else { $selected_gravatar_show_0 = NULL; $selected_gravatar_show_1 = " selected"; }
			if ($settings['gravatar_rating'] == 0) { $selected_gravatar_rating_0 = " selected"; $selected_gravatar_rating_1 = NULL; $selected_gravatar_rating_2 = NULL; $selected_gravatar_rating_3 = NULL; }
			if ($settings['gravatar_rating'] == 1) { $selected_gravatar_rating_0 = NULL; $selected_gravatar_rating_1 = " selected"; $selected_gravatar_rating_2 = NULL; $selected_gravatar_rating_3 = NULL; }
			if ($settings['gravatar_rating'] == 2) { $selected_gravatar_rating_0 = NULL; $selected_gravatar_rating_1 = NULL; $selected_gravatar_rating_2 = " selected"; $selected_gravatar_rating_3 = NULL; }
			if ($settings['gravatar_rating'] == 3) { $selected_gravatar_rating_0 = NULL; $selected_gravatar_rating_1 = NULL; $selected_gravatar_rating_2 = NULL; $selected_gravatar_rating_3 = " selected"; }
			if ($settings['moderated'] == 0) { $selected_moderated_0 = " selected"; $selected_moderated_1 = NULL; } else { $selected_moderated_0 = NULL; $selected_moderated_1 = " selected"; }
			if ($settings['spam_protection'] == 0) { $selected_spam_protection_0 = " selected"; $selected_spam_protection_1 = NULL; } else { $selected_spam_protection_0 = NULL; $selected_spam_protection_1 = " selected"; }
			if ($settings['ipblocker'] == 0) { $selected_ipblocker_0 = " selected"; $selected_ipblocker_1 = NULL; } else { $selected_ipblocker_0 = NULL; $selected_ipblocker_1 = " selected"; }

			// replace strings
			$page_include = preg_replace("/\{EDIT_TITLE\}/", $settings['title'], $page_include);
			$page_include = preg_replace("/\{EDIT_H_AUTHOR\}/", $settings['h_author'], $page_include);
			$page_include = preg_replace("/\{EDIT_H_DOMAIN\}/", $settings['h_domain'], $page_include);
			$page_include = preg_replace("/\{EDIT_GB_PATH\}/", $settings['gb_path'], $page_include);
			$page_include = preg_replace("/\{EDIT_H_KEYWORDS\}/", $settings['h_keywords'], $page_include);
			$page_include = preg_replace("/\{EDIT_H_DESCRIPTION\}/", $settings['h_description'], $page_include);
			$page_include = preg_replace("/\{EDIT_ADMIN_NAME\}/", $settings['admin_name'], $page_include);
			$page_include = preg_replace("/\{EDIT_ADMIN_EMAIL\}/", $settings['admin_email'], $page_include);
			$page_include = preg_replace("/\{EDIT_ADMIN_GBEMAIL\}/", $settings['admin_gbemail'], $page_include);
			$page_include = preg_replace("/\{SELECTED_SENDMAIL_ADMIN_0\}/", $selected_sendmail_admin_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_SENDMAIL_ADMIN_1\}/", $selected_sendmail_admin_1, $page_include);
			$page_include = preg_replace("/\{EDIT_SENDMAIL_ADMIN_TEXT\}/", $settings['sendmail_admin_text'], $page_include);
			$page_include = preg_replace("/\{SELECTED_SENDMAIL_USER_0\}/", $selected_sendmail_user_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_SENDMAIL_USER_1\}/", $selected_sendmail_user_1, $page_include);
			$page_include = preg_replace("/\{EDIT_SENDMAIL_USER_TEXT\}/", $settings['sendmail_user_text'], $page_include);
			$page_include = preg_replace("/\{EDIT_SENDMAIL_USER_NOTIFICATION_TEXT\}/", $settings['sendmail_user_notification_text'], $page_include);
			$page_include = preg_replace("/\{EDIT_SENDMAIL_COMMENT_TEXT\}/", $settings['sendmail_comment_text'], $page_include);
			$page_include = preg_replace("/\{EDIT_SENDMAIL_CONTACTMAIL_TEXT\}/", $settings['sendmail_contactmail_text'], $page_include);
			$page_include = preg_replace("/\{EDIT_OPTION_TEMPLATE_PATH\}/", $edit_option_template_path, $page_include);
			$page_include = preg_replace("/\{EDIT_OPTION_TEMPLATE_STYLE_PATH\}/", $edit_option_template_style_path, $page_include);
			$page_include = preg_replace("/\{EDIT_OPTION_ICONSET_PATH\}/", $edit_option_iconset_path, $page_include);
			$page_include = preg_replace("/\{EDIT_OPTION_LANGUAGE_PATH\}/", $edit_option_language_path, $page_include);
			$page_include = preg_replace("/\{EDIT_BADWORDS\}/", $settings['badwords'], $page_include);
			$page_include = preg_replace("/\{SELECTED_BBCODE_0\}/", $selected_bbcode_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_BBCODE_1\}/", $selected_bbcode_1, $page_include);
			$page_include = preg_replace("/\{SELECTED_SMILEYS_0\}/", $selected_smileys_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_SMILEYS_1\}/", $selected_smileys_1, $page_include);
			$page_include = preg_replace("/\{SELECTED_CAPTCHA_0\}/", $selected_captcha_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_CAPTCHA_1\}/", $selected_captcha_1, $page_include);
			$page_include = preg_replace("/\{SELECTED_CAPTCHA_METHOD_0\}/", $selected_captcha_method_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_CAPTCHA_METHOD_1\}/", $selected_captcha_method_1, $page_include);
			$page_include = preg_replace("/\{SELECTED_AKISMET_PLUGIN_0\}/", $selected_akismet_plugin_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_AKISMET_PLUGIN_1\}/", $selected_akismet_plugin_1, $page_include);
			$page_include = preg_replace("/\{EDIT_AKISMET_API\}/", $settings['akismet_api'], $page_include);
			$page_include = preg_replace("/\{SELECTED_AKISMET_MARK_AS_SPAM_0\}/", $selected_akismet_mark_as_spam_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_AKISMET_MARK_AS_SPAM_1\}/", $selected_akismet_mark_as_spam_1, $page_include);
			$page_include = preg_replace("/\{SELECTED_TIME_LOCK_0\}/", $selected_time_lock_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_TIME_LOCK_1\}/", $selected_time_lock_1, $page_include);
			$page_include = preg_replace("/\{EDIT_TIME_LOCK_VALUE\}/", $settings['time_lock_value'], $page_include);
			$page_include = preg_replace("/\{EDIT_TIME_LOCK_MAXTIME\}/", $settings['time_lock_maxtime'], $page_include);
			$page_include = preg_replace("/\{SELECTED_USER_NOTIFICATION_0\}/", $selected_user_notification_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_USER_NOTIFICATION_1\}/", $selected_user_notification_1, $page_include);
			$page_include = preg_replace("/\{SELECTED_USER_SHOW_EMAIL_0\}/", $selected_user_show_email_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_USER_SHOW_EMAIL_1\}/", $selected_user_show_email_1, $page_include);
			$page_include = preg_replace("/\{SELECTED_ENTRIES_ORDER_0\}/", $selected_entries_order_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_ENTRIES_ORDER_1\}/", $selected_entries_order_1, $page_include);
			$page_include = preg_replace("/\{SELECTED_GRAVATAR_SHOW_0\}/", $selected_gravatar_show_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_GRAVATAR_SHOW_1\}/", $selected_gravatar_show_1, $page_include);
			$page_include = preg_replace("/\{SELECTED_GRAVATAR_RATING_0\}/", $selected_gravatar_rating_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_GRAVATAR_RATING_1\}/", $selected_gravatar_rating_1, $page_include);
			$page_include = preg_replace("/\{SELECTED_GRAVATAR_RATING_2\}/", $selected_gravatar_rating_2, $page_include);
			$page_include = preg_replace("/\{SELECTED_GRAVATAR_RATING_3\}/", $selected_gravatar_rating_3, $page_include);
			$page_include = preg_replace("/\{EDIT_SESSION_TIMEOUT\}/", $settings['session_timeout'], $page_include);
			$page_include = preg_replace("/\{SELECTED_MODERATED_0\}/", $selected_moderated_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_MODERATED_1\}/", $selected_moderated_1, $page_include);
			$page_include = preg_replace("/\{EDIT_ENTRIES_PER_PAGE\}/", $settings['entries_per_page'], $page_include);
			$page_include = preg_replace("/\{SELECTED_SPAM_PROTECTION_0\}/", $selected_spam_protection_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_SPAM_PROTECTION_1\}/", $selected_spam_protection_1, $page_include);
			$page_include = preg_replace("/\{SELECTED_IPBLOCKER_0\}/", $selected_ipblocker_0, $page_include);
			$page_include = preg_replace("/\{SELECTED_IPBLOCKER_1\}/", $selected_ipblocker_1, $page_include);
			$page_include = preg_replace("/\{EDIT_WORDWRAP\}/", $settings['wordwrap'], $page_include);
			$page_include = preg_replace("/\{EDIT_DATEFORM\}/", $settings['dateform'], $page_include);

			$content_scrolling_function = NULL;
		}
	else
		{
		$page_include = "<span class=\"admin\">".$lang['errormessage4']."</span>";
		$content_scrolling_function = "<br>";
		}
	}
?>